commit:     cf4a49ea2a34d9fe9e8d635b836d7b8a2200ef33
Author:     Daniel Pielmeier <billie <AT> gentoo <DOT> org>
AuthorDate: Sat Feb  8 14:06:37 2020 +0000
Commit:     Daniel Pielmeier <billie <AT> gentoo <DOT> org>
CommitDate: Sat Feb  8 14:06:37 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cf4a49ea

sys-fs/fatsort: Version bump to fatsort-1.6.2.605.

Package-Manager: Portage-2.3.84, Repoman-2.3.20
Signed-off-by: Daniel Pielmeier <billie <AT> gentoo.org>

 sys-fs/fatsort/Manifest                 |  1 +
 sys-fs/fatsort/fatsort-1.6.2.605.ebuild | 33 +++++++++++++++++++++++++++++++++
 2 files changed, 34 insertions(+)

diff --git a/sys-fs/fatsort/Manifest b/sys-fs/fatsort/Manifest
index 12cff7154cf..ec6beb5a3ed 100644
--- a/sys-fs/fatsort/Manifest
+++ b/sys-fs/fatsort/Manifest
@@ -1 +1,2 @@
 DIST fatsort-1.5.0.456.tar.xz 56100 BLAKE2B 
996f144c67a2311ef9962b06e776d0a0c8897814383e50c9f48f5af0bc800159ee34c10d9f8d51dae5160844dfe9fcbc4b56bb9883cbdb0402a0ea20198fc1d6
 SHA512 
fe9d8108494fd64da730ec40882582fc16a89e76a5ba4e8040d03a3dbbf12c525904abe24814337713f5f1d15c72e8321b27fad69db816c073a96fbfd15ea486
+DIST fatsort-1.6.2.605.tar.xz 122928 BLAKE2B 
2690233828e47a4809aac14a8d64dc8d95a824bec52f787190186adbe066d5d4e6f9c6d1873fc6b809c6df6879d12154430f44d412944963bdff49e673079d12
 SHA512 
0d119c99c5efff4c10367152fc6efe95e2cb1c39405ca02dd25b66cc68c7420b5b28c0daca1346b7928633bac8ace2d05d731502f989d39ca5c783dcec69ccc7

diff --git a/sys-fs/fatsort/fatsort-1.6.2.605.ebuild 
b/sys-fs/fatsort/fatsort-1.6.2.605.ebuild
new file mode 100644
index 00000000000..e80f5c53a7f
--- /dev/null
+++ b/sys-fs/fatsort/fatsort-1.6.2.605.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit toolchain-funcs
+
+DESCRIPTION="Sorts files on FAT16/32 partitions, ideal for basic audio players"
+HOMEPAGE="http://fatsort.sourceforge.net/";
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+src_prepare() {
+       default
+
+       sed -i -e 's|/usr/local|/usr|g' \
+               $(find ./ -name Makefile) || die
+}
+
+src_compile() {
+       emake CC=$(tc-getCC) LD=$(tc-getCC) \
+               CFLAGS="${CFLAGS}" LDFLAGS="${LDFLAGS}" \
+               DESTDIR="${D}"
+}
+
+src_test() {
+       # Tests require root permissions and mounting filesystems which does
+       # not work inside the ebuild environment
+       true
+}

Reply via email to